Subject: Spanish Cedar Source?

From: [email-masked] (John C. Harris)
Date: 13 Feb 1997 03:25:49 GMT

My shop in Annapolis, MD, is producing kayak kits in large quantities.  Many 
of the designs have 1/2" by 1/4" rubrails, which are shipped with the kits in 
96" lengths. 

For various reasons I've been buying Honduran or Phillipine Mahogany over the 
past few years to mill into rubrails.  Obviously I need clear, 
straight-grained stuff to make such thin strips, but the quality of Mahogany 
I've been getting from many different suppliers is dropping fast.  Although 
I'm used to Mahogany's wicked crossgrain, and expect above average wastage in 
milling such skinny strips, I think I ended up with over 50% wastage in the 
last 750bf I bought.  Argh!

A cabinetmaker suggested I try Spanish Cedar, because it has a similar color 
and properties to Honduran M'gany, and is supposedly widely available.  
However, I don't have any experience with this wood.  

Know of any sources in the MidAtlantic region, and some indication of price? 
 Any thoughts on the suitability of Spanish Cedar?

EMail me directly.  Naturally, I've procrastinated in dealing with this and 
found myself pulling the last scabby boards of Honduran M'gany off the shelf 
today.

Cheers,

John C. Harris